Bug 439623 - tetex is installing files with bad SELinux context.
tetex is installing files with bad SELinux context.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 14:03 EDT by Daniel Walsh
Modified: 2013-07-02 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2008-03-29 14:03:09 EDT
Description of problem:
restorecon reset /var/lib/texmf/web2c/aleph/aleph.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/aleph/lamed.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/aleph/lamed.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/aleph/aleph.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/omega/lambda.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/omega/omega.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/omega/lambda.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/omega/omega.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/metafont/mf.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/metafont/mf.base context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/tex/tex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/tex/tex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/metapost/mpost.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/metapost/mpost.mem context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/cslatex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/platex-pl.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mllatex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/amstex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfcslatex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/etex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfmex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/etex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfplatex-pl.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mllatex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/csplain.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdflatex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdftex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/latex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfplatex-pl.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfetex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/cslatex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/csplain.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/latex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfcsplain.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdflatex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/utf8mex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdftex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/eplain.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mltex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mltex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/eplain.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfetex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfcsplain.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/utf8mex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/amstex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfcslatex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/platex-pl.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/pdfmex.fmt context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mptopdf.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0
restorecon reset /var/lib/texmf/web2c/pdftex/mex.log context
staff_u:object_r:rpm_script_tmp_t:s0->system_u:object_r:tetex_data_t:s0

You need to run 

#restorecon -R /var/lib/texmf

After you put the files in place to fix the file context. Any time you mv files
from /tmp to another location you need to fix the context.
Comment 1 Jindrich Novy 2008-03-31 08:43:23 EDT
tetex-fonts and all tetex subpackages actually calls restorecon to fix the
contexts, but only if restorecon is installed. I added Requires(post):
/sbin/restorecon to tetex-font to ensure it is really installed.
Comment 2 Fedora Update System 2008-04-10 07:28:36 EDT
tetex-3.0-44.9.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-16 23:55:07 EDT
tetex-3.0-44.9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3158
Comment 4 Bug Zapper 2008-05-14 04:24:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:55:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.